import { OnInit, Injector, EventEmitter } from '@angular/core';
import { MdDialog, MdDialogRef } from '@angular/material';
import { MomentService } from 'ontimize-web-ng2';
import { ODataTableColumnComponent, IDataTableCellEditor } from '../o-datatable-column.component';
import { ODataTableCellEditorDateDialog } from './dialog/o-datatable-cell-editor-date-dialog.component';
export declare const DEFAULT_INPUTS_O_DATATABLE_CELL_EDITOR_DATE: string[];
export declare class ODataTableCellEditorDateComponent implements OnInit, IDataTableCellEditor {
    protected tableColumn: ODataTableColumnComponent;
    protected injector: Injector;
    static DEFAULT_INPUTS_O_DATATABLE_CELL_EDITOR_DATE: string[];
    static DEFAULT_DATE_MODEL_TYPE: string;
    static DEFAULT_DATE_MODEL_FORMAT: string;
    datePickerFormat: string;
    datePickerLabels: any;
    onFocus: EventEmitter<any>;
    onBlur: EventEmitter<any>;
    onSubmit: EventEmitter<any>;
    protected insertTableInput: any;
    protected momentService: MomentService;
    protected dateModelType: string;
    protected dateModelFormat: string;
    protected previousValue: any;
    protected rendererFormat: string;
    protected cellElement: any;
    protected ng2Dialog: MdDialog;
    protected dialogRef: MdDialogRef<ODataTableCellEditorDateDialog>;
    constructor(tableColumn: ODataTableColumnComponent, injector: Injector);
    ngOnInit(): void;
    init(parameters: any): void;
    getHtml(data: any): string;
    handleCellBlur(cellElement: any): void;
    create(cellElement: any, data: any): void;
    destroy(cellElement: any): void;
    performInsertion(newValue: any): void;
    handleCellFocus(cellElement: any, data: any): void;
    createEditorForInsertTable(cellElement: any, data: any): void;
    getInsertTableValue(): any;
    configureAndOpenDialog(cellElement: any, data: any): void;
    protected openDialog(data: any): void;
    onDialogClose(value: any): void;
}
