import { Injector } from '@angular/core';
import { OTranslateService } from 'ontimize-web-ng2';
import { ODataTableColumnComponent, IDataTableCellRenderer } from '../o-datatable-column.component';
export declare const DEFAULT_INPUTS_O_DATATABLE_CELL_RENDERER_BOOLEAN: string[];
export declare class ODataTableCellRendererBooleanComponent implements IDataTableCellRenderer {
    protected injector: Injector;
    static DEFAULT_INPUTS_O_DATATABLE_CELL_RENDERER_BOOLEAN: string[];
    protected translateService: OTranslateService;
    protected trueValueType: string;
    protected trueValue: string;
    protected falseValueType: string;
    protected falseValue: string;
    protected dataType: string;
    constructor(tableColumn: ODataTableColumnComponent, injector: Injector);
    init(parameters: any): void;
    render(cellData: any, rowData: any): string;
    handleCreatedCell(cellElement: any, rowData: any): void;
    protected generateTemplate(value: string, type: string): string;
    protected hasCellDataTrueValue(cellData: any): boolean;
}
