import { OnInit, Injector } from '@angular/core';
import { ODataTableCellRendererRealComponent } from './o-datatable-cell-renderer-real.component';
import { ODataTableColumnComponent, IDataTableCellRenderer } from '../o-datatable-column.component';
import { CurrencyService } from 'ontimize-web-ng2';
export declare const DEFAULT_INPUTS_O_DATATABLE_CELL_RENDERER_CURRENCY: string[];
export declare class ODataTableCellRendererCurrencyComponent extends ODataTableCellRendererRealComponent implements OnInit, IDataTableCellRenderer {
    protected injector: Injector;
    static DEFAULT_INPUTS_O_DATATABLE_CELL_RENDERER_CURRENCY: string[];
    protected currencyService: CurrencyService;
    protected currencySymbol: string;
    protected currencySymbolPosition: string;
    constructor(tableColumn: ODataTableColumnComponent, injector: Injector);
    ngOnInit(): void;
    init(parameters: any): void;
    render(cellData: any, rowData: any): string;
    handleCreatedCell(cellElement: any, rowData: any): void;
}
