import { OnInit, Injector, NgZone, ElementRef } from '@angular/core';
import { EventEmitter } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/mergeAll';
import { OFormComponent } from 'ontimize-web-ng2';
import { OLightTableColumnComponent } from './o-light-table-column.component';
export declare const DEFAULT_INPUTS_O_LIGHT_TABLE: string[];
export declare const DEFAULT_OUTPUTS_O_LIGHT_TABLE: string[];
export declare class OLightTableComponent implements OnInit {
    static DEFAULT_INPUTS_O_LIGHT_TABLE: string[];
    static DEFAULT_OUTPUTS_O_LIGHT_TABLE: string[];
    columns: string;
    parentKeys: string;
    entity: string;
    service: string;
    key: string;
    route: string;
    queryOnInit: boolean;
    refreshButton: boolean;
    showControls: boolean;
    staticData: Array<any>;
    markAll: boolean;
    selected: any[];
    deleting: boolean;
    dataArray: any[];
    serviceData: any[];
    colArray: string[];
    oColumns: Object;
    onRowClick: EventEmitter<any>;
    protected dataService: any;
    private _injector;
    private _dialogService;
    private _router;
    private _actRoute;
    private elRef;
    private _pKeysEquiv;
    constructor(router: Router, actRoute: ActivatedRoute, el: ElementRef, zone: NgZone, injector: Injector, form: OFormComponent);
    registerColumn(col: OLightTableColumnComponent): void;
    ngOnInit(): any;
    configureService(): void;
    ngAfterViewInit(): void;
    setData(data: any): void;
    renderColumn(rowIdx: number, colIdx: number, col: string, value: any, wrapperEL: any): any;
    getPipe(col: string): any;
    getFlex(col: string): any;
    queryData(filter?: Object): void;
    handleMarkAll(event: any, selected: any): void;
    syncSelected(item: any): void;
    isItemSelected(item: any): boolean;
    onListItemClick(item: any, event: any): void;
    onRowClicked(onNext: (item: any) => void): Object;
    cancelRemove(event: any): void;
    filter(event: any): void;
    remove(event: any): void;
    add(event: any): void;
    showConfirmDelete(evt: any): void;
    executeMassiveRemove(): void;
    removeRegister(filter: any): void;
}
export declare class OLightTableModule {
}
