import { OnInit, Injector, EventEmitter } from '@angular/core';
import { ODataTableColumnComponent, IDataTableCellEditor } from '../o-datatable-column.component';
export declare const DEFAULT_INPUTS_O_TABLE_CELL_EDITOR_COMBO: string[];
export declare class ODataTableCellEditorComboComponent implements OnInit, IDataTableCellEditor {
    protected injector: Injector;
    static DEFAULT_INPUTS_O_TABLE_CELL_EDITOR_COMBO: string[];
    onFocus: EventEmitter<any>;
    onBlur: EventEmitter<any>;
    onSubmit: EventEmitter<any>;
    protected tableColumn: ODataTableColumnComponent;
    protected insertTableInput: any;
    protected service: string;
    protected dataService: any;
    protected componentData: any;
    protected entity: string;
    protected valueColumn: string;
    protected columns: string;
    protected dataColumns: Array<string>;
    protected visibleColumns: string;
    protected dataVisibleColumns: Array<string>;
    protected separator: string;
    protected queryMethod: string;
    protected dataType: string;
    constructor(tableColumn: ODataTableColumnComponent, injector: Injector);
    ngOnInit(): void;
    init(parameters: any): void;
    configureService(): void;
    getHtml(data: any): string;
    handleCellFocus(cellElement: any, data: any): void;
    handleCellBlur(cellElement: any): void;
    create(cellElement: any, data: any): void;
    destroy(cellElement: any): void;
    performInsertion(cellElement: any): void;
    createEditorForInsertTable(cellElement: any, data: any): void;
    getInsertTableValue(): any;
    protected queryData(): void;
}
