import { EventEmitter } from '@angular/core';
import { ODataTableColumnComponent, IDataTableCellEditor } from '../o-datatable-column.component';
export declare class ODataTableCellEditorRealComponent implements IDataTableCellEditor {
    onFocus: EventEmitter<any>;
    onBlur: EventEmitter<any>;
    onSubmit: EventEmitter<any>;
    protected tableColumn: ODataTableColumnComponent;
    protected insertTableInput: any;
    constructor(tableColumn: ODataTableColumnComponent);
    init(parameters: any): void;
    getHtml(data: any): string;
    handleCellFocus(cellElement: any, data: any): void;
    handleCellBlur(cellElement: any): void;
    create(cellElement: any, data: any): void;
    destroy(cellElement: any): void;
    performInsertion(cellElement: any): void;
    createEditorForInsertTable(cellElement: any, data: any): void;
    getInsertTableValue(): any;
}
