import { OnInit, Injector, EventEmitter } from '@angular/core';
import { OTranslateService } from 'ontimize-web-ng2';
import { ODataTableColumnComponent, IDataTableCellRenderer } from '../o-datatable-column.component';
export declare const DEFAULT_INPUTS_O_DATATABLE_CELL_RENDERER_ACTION: string[];
export declare const DEFAULT_OUTPUTS_O_DATATABLE_CELL_RENDERER_ACTION: string[];
export declare class ODataTableCellRendererActionComponent implements OnInit, IDataTableCellRenderer {
    protected injector: Injector;
    static DEFAULT_INPUTS_O_DATATABLE_CELL_RENDERER_ACTION: string[];
    static DEFAULT_OUTPUTS_O_DATATABLE_CELL_RENDERER_ACTION: string[];
    static ACTION_DETAIL: string;
    static ACTION_DELETE: string;
    static ACTION_EDIT: string;
    protected static DEFAULT_RENDER_TYPE: string;
    protected static DEFAULT_RENDER_VALUES: {
        'detail': string;
        'delete': string;
        'edit': string;
    };
    protected static EDIT_SAVE_ICON: string;
    protected static EDIT_CANCEL_ICON: string;
    protected tableColumn: ODataTableColumnComponent;
    protected translateService: OTranslateService;
    protected action: string;
    protected editionMode: string;
    protected renderType: string;
    protected renderValue: string;
    protected actionTitle: string;
    onClick: EventEmitter<Object>;
    constructor(tableColumn: ODataTableColumnComponent, injector: Injector);
    ngOnInit(): void;
    init(parameters: any): void;
    render(cellData: any, rowData: any): string;
    handleCreatedCell(cellElement: any, rowData: any): void;
    protected handleInlineEditActionClick(cellElement: any, rowData: any): void;
    protected renderEditActions(): string;
}
