import { OnInit, EventEmitter } from '@angular/core';
import { ODataTableColumnComponent, IDataTableCellRenderer } from '../o-datatable-column.component';
export declare const DEFAULT_INPUTS_O_DATATABLE_CELL_RENDERER_IMAGE: string[];
export declare const DEFAULT_OUTPUTS_O_DATATABLE_CELL_RENDERER_IMAGE: string[];
export declare class ODataTableCellRendererImageComponent implements OnInit, IDataTableCellRenderer {
    protected tableColumn: ODataTableColumnComponent;
    static DEFAULT_INPUTS_O_DATATABLE_CELL_RENDERER_IMAGE: string[];
    static DEFAULT_OUTPUTS_O_DATATABLE_CELL_RENDERER_IMAGE: string[];
    protected imageType: string;
    protected avatar: any;
    protected emptyImage: string;
    onClick: EventEmitter<Object>;
    constructor(tableColumn: ODataTableColumnComponent);
    ngOnInit(): void;
    init(parameters: any): void;
    render(cellData: any, rowData: any): string;
    handleCreatedCell(cellElement: any, rowData: any): void;
}
