var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Component, Inject, Injector, forwardRef } from '@angular/core';
import { ODataTableCellRendererIntegerComponent, DEFAULT_INPUTS_O_DATATABLE_CELL_RENDERER_INTEGER } from './o-datatable-cell-renderer-integer.component';
import { ODataTableColumnComponent } from '../o-datatable-column.component';
export var DEFAULT_INPUTS_O_DATATABLE_CELL_RENDERER_REAL = DEFAULT_INPUTS_O_DATATABLE_CELL_RENDERER_INTEGER.concat([
    'decimalSeparator: decimal-separator',
    'decimalDigits: decimal-digits'
]);
var ODataTableCellRendererRealComponent = (function (_super) {
    __extends(ODataTableCellRendererRealComponent, _super);
    function ODataTableCellRendererRealComponent(tableColumn, injector) {
        var _this = _super.call(this, tableColumn, injector) || this;
        _this.injector = injector;
        return _this;
    }
    ODataTableCellRendererRealComponent.prototype.ngOnInit = function () {
        _super.prototype.ngOnInit.call(this);
        this.tableColumn.updateRendererType('real');
    };
    ODataTableCellRendererRealComponent.prototype.init = function (parameters) {
        _super.prototype.init.call(this, parameters);
        if (typeof (parameters) !== 'undefined') {
            if (typeof (parameters.decimalSeparator) !== 'undefined') {
                this.decimalSeparator = parameters.decimalSeparator;
            }
            if (typeof (parameters.decimalDigits) !== 'undefined') {
                this.decimalDigits = parameters.decimalDigits;
            }
        }
    };
    ODataTableCellRendererRealComponent.prototype.render = function (cellData, rowData) {
        return '<div o-number-value="' + ((typeof (cellData) !== 'undefined') ? cellData : 0) + '">' +
            this.numberService.getRealValue(cellData, this.grouping, this.thousandSeparator, this.decimalSeparator, this.decimalDigits) +
            '</div>';
    };
    ODataTableCellRendererRealComponent.prototype.handleCreatedCell = function (cellElement, rowData) {
    };
    ODataTableCellRendererRealComponent.DEFAULT_INPUTS_O_DATATABLE_CELL_RENDERER_REAL = DEFAULT_INPUTS_O_DATATABLE_CELL_RENDERER_REAL;
    ODataTableCellRendererRealComponent.decorators = [
        { type: Component, args: [{
                    selector: 'o-datatable-cell-renderer-real',
                    template: '',
                    inputs: DEFAULT_INPUTS_O_DATATABLE_CELL_RENDERER_REAL.slice()
                },] },
    ];
    ODataTableCellRendererRealComponent.ctorParameters = function () { return [
        { type: ODataTableColumnComponent, decorators: [{ type: Inject, args: [forwardRef(function () { return ODataTableColumnComponent; }),] },] },
        { type: Injector, },
    ]; };
    return ODataTableCellRendererRealComponent;
}(ODataTableCellRendererIntegerComponent));
export { ODataTableCellRendererRealComponent };
//# sourceMappingURL=o-datatable-cell-renderer-real.component.js.map