import { OnInit, Injector } from '@angular/core';
import { ODataTableColumnComponent, IDataTableCellRenderer } from '../o-datatable-column.component';
export declare const DEFAULT_INPUTS_O_DATATABLE_CELL_RENDERER_SERVICE: string[];
export declare class ODataTableCellRendererServiceComponent implements OnInit, IDataTableCellRenderer {
    protected tableColumn: ODataTableColumnComponent;
    protected injector: Injector;
    static DEFAULT_INPUTS_O_DATATABLE_CELL_RENDERER_SERVICE: string[];
    protected service: string;
    protected dataService: any;
    protected componentData: any;
    protected entity: string;
    protected valueColumn: string;
    protected columns: string;
    protected dataColumns: Array<string>;
    protected visibleColumns: string;
    protected dataVisibleColumns: Array<string>;
    protected separator: string;
    protected queryMethod: string;
    constructor(tableColumn: ODataTableColumnComponent, injector: Injector);
    ngOnInit(): void;
    init(parameters: any): void;
    render(data: any): string;
    handleCreatedCell(cellElement: any, rowData: any): void;
}
