import { OnInit, EventEmitter, Injector } from '@angular/core';
import { OTranslateService } from 'ontimize-web-ng2';
import { ODataTableComponent } from '../o-datatable.component';
export declare const DEFAULT_INPUTS_O_DATATABLE_BUTTON: string[];
export declare const DEFAULT_OUTPUTS_O_DATATABLE_BUTTON: string[];
export declare class ODataTableButtonComponent implements OnInit {
    protected injector: Injector;
    static DEFAULT_INPUTS_O_DATATABLE_BUTTON: string[];
    static DEFAULT_OUTPUTS_O_DATATABLE_BUTTON: string[];
    onClick: EventEmitter<Object>;
    protected table: ODataTableComponent;
    protected translateService: OTranslateService;
    protected icon: string;
    protected olabel: string;
    constructor(injector: Injector, table: ODataTableComponent);
    ngOnInit(): void;
    getLabel(): string;
    getIcon(): string;
    innerOnClick(): void;
}
